export interface HookRequest {
    Type: 'post-finish' | 'pre-create';
    Event: {
        Upload: {
            ID?: string;
            MetaData?: {
                filename?: string
            };
            Size?: number;
            Storage?: {
                Path: string
                Type: string
            };
        };
    };
}
export interface HookResponse {
    RejectUpload?: boolean;
    HTTPResponse?: {
        StatusCode?: number;
        Body?: string;
        Headers?: Record<string, string>;
    };
    ChangeFileInfo?: {
        ID?: string;
        MetaData?: Record<string, string>;
    };
}
export interface FileHandle {
    filename: string
    path: string
}